org.eclnt.jsfserver.defaultscreens

## Class OKPopup

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.OKPopup

- All Implemented Interfaces:
    java.io.Serializable, BasePopup.IPopupListener, ModalPopup.IModalPopupListener

      public class OKPopup
      extends java.lang.Object
      implements java.io.Serializable, ModalPopup.IModalPopupListener

  Popup for message output. There are three texts that can be passed:
  (.) a title, this is the popup window's title
  (.) a text, this is the message
  (.) a headline, this is a (typically) short text that you may output as headline in front of the message text. The headline is rendered with a larger font. The headline is optional.
  You can register an event listener in order to get notified when the user has pressed the OK-button.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `OKPopup.IOKCancelListener`
    `static interface` | `OKPopup.IOKListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PAGENAME_DEFAULT`
    `static java.lang.String` | `PAGENAME_HTML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OKPopup()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `static OKPopup` | `createInstance(java.lang.String title, java.lang.String text)`
    `static OKPopup` | `createInstance(java.lang.String title, java.lang.String text, OKPopup.IOKListener okListener)`
    `java.lang.String` | `getBodyBackgroundColor()`
    `java.lang.String` | `getBodyBgpaint()`
    `java.lang.String` | `getButtonImage()`
    `java.lang.String` | `getCancelButtonImage()`
    `java.lang.String` | `getHeadline()`
    `boolean` | `getHeadlineRendered()`
    `java.lang.String` | `getIcon()`
    `java.lang.String` | `getImageBackgroundColor()`
    `java.lang.String` | `getImageBgpaint()`
    `ModalPopup` | `getModalPopup()`
    `boolean` | `getShowCancel()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getTextAlign()`
    `java.lang.String` | `getTextCancel()`
    `java.lang.String` | `getTextColor()`
    `java.lang.String` | `getTextOk()`
    `boolean` | `isIconRendered()`
    `void` | `onCancel(ActionEvent ae)`
    `void` | `onClose(ActionEvent ae)`
    `void` | `reactOnPopupClosedByUser()`
    `void` | `setBodyBackgroundColor(java.lang.String bodyBackgroundColor)`
    `void` | `setBodyBgpaint(java.lang.String bodyBgpaint)`
    `void` | `setButtonImage(java.lang.String buttonImage)`
    `void` | `setCancelButtonImage(java.lang.String cancelButtonImage)`
    `void` | `setHeadline(java.lang.String value)`
    `void` | `setIcon(java.lang.String value)`
    `void` | `setImageBackgroundColor(java.lang.String imageBackgroundColor)`
    `void` | `setImageBgpaint(java.lang.String imageBgpaint)`
    `void` | `setShowCancel(boolean value)` By default the popup has an OK button - the user can cancel by closing the popup usRing the normal popup close icon.
    `void` | `setText(java.lang.String value)`
    `void` | `setTextAlign(java.lang.String value)`
    `void` | `setTextCancel(java.lang.String value)` Set the text of cancel-button.
    `void` | `setTextColor(java.lang.String value)`
    `void` | `setTextOk(java.lang.String value)` Explicitly set the text of the OK button - otherwise the default text will be shown.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAGENAME_DEFAULT

          public static java.lang.String PAGENAME_DEFAULT

    - #### PAGENAME_HTML

          public static java.lang.String PAGENAME_HTML

  - ### Constructor Detail

    - #### OKPopup

          public OKPopup()

  - ### Method Detail

    - #### createInstance

          public static OKPopup createInstance(java.lang.String title,
                                               java.lang.String text)

    - #### createInstance

          public static OKPopup createInstance(java.lang.String title,
                                               java.lang.String text,
                                               OKPopup.IOKListener okListener)

    - #### getBodyBackgroundColor

          public java.lang.String getBodyBackgroundColor()

    - #### setBodyBackgroundColor

          public void setBodyBackgroundColor(java.lang.String bodyBackgroundColor)

    - #### setText

          public void setText(java.lang.String value)

    - #### getText

          public java.lang.String getText()

    - #### setTextAlign

          public void setTextAlign(java.lang.String value)

    - #### getTextAlign

          public java.lang.String getTextAlign()

    - #### setTextColor

          public void setTextColor(java.lang.String value)

    - #### getTextColor

          public java.lang.String getTextColor()

    - #### getButtonImage

          public java.lang.String getButtonImage()

    - #### setButtonImage

          public void setButtonImage(java.lang.String buttonImage)

    - #### getCancelButtonImage

          public java.lang.String getCancelButtonImage()

    - #### setCancelButtonImage

          public void setCancelButtonImage(java.lang.String cancelButtonImage)

    - #### getImageBackgroundColor

          public java.lang.String getImageBackgroundColor()

    - #### setImageBackgroundColor

          public void setImageBackgroundColor(java.lang.String imageBackgroundColor)

    - #### getImageBgpaint

          public java.lang.String getImageBgpaint()

    - #### setImageBgpaint

          public void setImageBgpaint(java.lang.String imageBgpaint)

    - #### getHeadlineRendered

          public boolean getHeadlineRendered()

    - #### setHeadline

          public void setHeadline(java.lang.String value)

    - #### getHeadline

          public java.lang.String getHeadline()

    - #### setIcon

          public void setIcon(java.lang.String value)

    - #### getIcon

          public java.lang.String getIcon()

    - #### getModalPopup

          public ModalPopup getModalPopup()

    - #### isIconRendered

          public boolean isIconRendered()

    - #### onClose

          public void onClose(ActionEvent ae)

    - #### onCancel

          public void onCancel(ActionEvent ae)

    - #### close

          public void close()

    - #### reactOnPopupClosedByUser

          public void reactOnPopupClosedByUser()

      Specified by:
        `reactOnPopupClosedByUser` in interface `BasePopup.IPopupListener`

    - #### setTextOk

          public void setTextOk(java.lang.String value)

      Explicitly set the text of the OK button - otherwise the default text will be shown.

    - #### getTextOk

          public java.lang.String getTextOk()

    - #### setTextCancel

          public void setTextCancel(java.lang.String value)

      Set the text of cancel-button. If not specified the default text is shown.

    - #### getTextCancel

          public java.lang.String getTextCancel()

    - #### setShowCancel

          public void setShowCancel(boolean value)

      By default the popup has an OK button - the user can cancel by closing the popup usRing the normal popup close icon. But: if setting showCancel to "true" then the cancel button is shown explicitly.

    - #### getShowCancel

          public boolean getShowCancel()

    - #### getBodyBgpaint

          public java.lang.String getBodyBgpaint()

    - #### setBodyBgpaint

          public void setBodyBgpaint(java.lang.String bodyBgpaint)

Copyright © CaptainCasa Gmbh. All Rights Reserved.